(function (lib, img, cjs, ss, an) {

var p; // shortcut to reference prototypes
lib.ssMetadata = [
		{name:"waterfall_Canvas_atlas_", frames: [[702,1074,700,356],[1404,1074,700,356],[2106,1074,700,356],[2808,1074,700,356],[0,1432,700,356],[1404,716,700,356],[702,716,700,356],[2106,716,700,356],[2808,358,700,356],[2106,0,700,356],[1404,1432,700,356],[702,0,700,356],[2808,0,700,356],[1404,358,700,356],[0,358,700,356],[1404,0,700,356],[702,358,700,356],[2106,358,700,356],[0,716,700,356],[702,1432,700,356],[2808,716,700,356],[0,1074,700,356],[3510,0,369,448],[0,0,700,356]]}
];


// symbols:



(lib.Bitmap10 = function() {
	this.spriteSheet = ss["waterfall_Canvas_atlas_"];
	this.gotoAndStop(0);
}).prototype = p = new cjs.Sprite();



(lib.Bitmap13 = function() {
	this.spriteSheet = ss["waterfall_Canvas_atlas_"];
	this.gotoAndStop(1);
}).prototype = p = new cjs.Sprite();



(lib.Bitmap15 = function() {
	this.spriteSheet = ss["waterfall_Canvas_atlas_"];
	this.gotoAndStop(2);
}).prototype = p = new cjs.Sprite();



(lib.Bitmap16 = function() {
	this.spriteSheet = ss["waterfall_Canvas_atlas_"];
	this.gotoAndStop(3);
}).prototype = p = new cjs.Sprite();



(lib.Bitmap18 = function() {
	this.spriteSheet = ss["waterfall_Canvas_atlas_"];
	this.gotoAndStop(4);
}).prototype = p = new cjs.Sprite();



(lib.Bitmap21 = function() {
	this.spriteSheet = ss["waterfall_Canvas_atlas_"];
	this.gotoAndStop(5);
}).prototype = p = new cjs.Sprite();



(lib.Bitmap22 = function() {
	this.spriteSheet = ss["waterfall_Canvas_atlas_"];
	this.gotoAndStop(6);
}).prototype = p = new cjs.Sprite();



(lib.Bitmap24 = function() {
	this.spriteSheet = ss["waterfall_Canvas_atlas_"];
	this.gotoAndStop(7);
}).prototype = p = new cjs.Sprite();



(lib.Bitmap27 = function() {
	this.spriteSheet = ss["waterfall_Canvas_atlas_"];
	this.gotoAndStop(8);
}).prototype = p = new cjs.Sprite();



(lib.Bitmap28 = function() {
	this.spriteSheet = ss["waterfall_Canvas_atlas_"];
	this.gotoAndStop(9);
}).prototype = p = new cjs.Sprite();



(lib.Bitmap3 = function() {
	this.spriteSheet = ss["waterfall_Canvas_atlas_"];
	this.gotoAndStop(10);
}).prototype = p = new cjs.Sprite();



(lib.Bitmap30 = function() {
	this.spriteSheet = ss["waterfall_Canvas_atlas_"];
	this.gotoAndStop(11);
}).prototype = p = new cjs.Sprite();



(lib.Bitmap31 = function() {
	this.spriteSheet = ss["waterfall_Canvas_atlas_"];
	this.gotoAndStop(12);
}).prototype = p = new cjs.Sprite();



(lib.Bitmap32 = function() {
	this.spriteSheet = ss["waterfall_Canvas_atlas_"];
	this.gotoAndStop(13);
}).prototype = p = new cjs.Sprite();



(lib.Bitmap34 = function() {
	this.spriteSheet = ss["waterfall_Canvas_atlas_"];
	this.gotoAndStop(14);
}).prototype = p = new cjs.Sprite();



(lib.Bitmap35 = function() {
	this.spriteSheet = ss["waterfall_Canvas_atlas_"];
	this.gotoAndStop(15);
}).prototype = p = new cjs.Sprite();



(lib.Bitmap36 = function() {
	this.spriteSheet = ss["waterfall_Canvas_atlas_"];
	this.gotoAndStop(16);
}).prototype = p = new cjs.Sprite();



(lib.Bitmap39 = function() {
	this.spriteSheet = ss["waterfall_Canvas_atlas_"];
	this.gotoAndStop(17);
}).prototype = p = new cjs.Sprite();



(lib.Bitmap40 = function() {
	this.spriteSheet = ss["waterfall_Canvas_atlas_"];
	this.gotoAndStop(18);
}).prototype = p = new cjs.Sprite();



(lib.Bitmap6 = function() {
	this.spriteSheet = ss["waterfall_Canvas_atlas_"];
	this.gotoAndStop(19);
}).prototype = p = new cjs.Sprite();



(lib.Bitmap7 = function() {
	this.spriteSheet = ss["waterfall_Canvas_atlas_"];
	this.gotoAndStop(20);
}).prototype = p = new cjs.Sprite();



(lib.Bitmap9 = function() {
	this.spriteSheet = ss["waterfall_Canvas_atlas_"];
	this.gotoAndStop(21);
}).prototype = p = new cjs.Sprite();



(lib.tree_PNG3472 = function() {
	this.spriteSheet = ss["waterfall_Canvas_atlas_"];
	this.gotoAndStop(22);
}).prototype = p = new cjs.Sprite();



(lib.vizesesanimated = function() {
	this.spriteSheet = ss["waterfall_Canvas_atlas_"];
	this.gotoAndStop(23);
}).prototype = p = new cjs.Sprite();



// stage content:
(lib.waterfall_Canvas = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		playSound("waterfall");
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(23));

	// Layer 2
	this.shape = new cjs.Shape();
	this.shape.graphics.rf(["rgba(102,217,255,0.051)","rgba(204,204,0,0.302)"],[0,1],0,0,0,0,0,403.1).s().p("Eg2rAfQMAAAg+fMBtXAAAMAAAA+fg");
	this.shape.setTransform(350,200);

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(23));

	// Layer 4 (mask)
	var mask = new cjs.Shape();
	mask._off = true;
	mask.graphics.p("Eg2rAfQMAAAg+fMBtXAAAMAAAA+fg");
	mask.setTransform(350,200);

	// Layer 3
	this.instance = new lib.tree_PNG3472();
	this.instance.parent = this;
	this.instance.setTransform(636,139,0.58,0.58);

	this.instance_1 = new lib.tree_PNG3472();
	this.instance_1.parent = this;
	this.instance_1.setTransform(-185,-26);

	var maskedShapeInstanceList = [this.instance,this.instance_1];

	for(var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
		maskedShapeInstanceList[shapedInstanceItr].mask = mask;
	}

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_1},{t:this.instance}]}).wait(23));

	// Layer 1
	this.instance_2 = new lib.vizesesanimated();
	this.instance_2.parent = this;
	this.instance_2.setTransform(-56.6,-10.3,1.159,1.159);

	this.instance_3 = new lib.Bitmap3();
	this.instance_3.parent = this;
	this.instance_3.setTransform(-56.6,-10.3,1.159,1.159);

	this.instance_4 = new lib.Bitmap6();
	this.instance_4.parent = this;
	this.instance_4.setTransform(-56.6,-10.3,1.159,1.159);

	this.instance_5 = new lib.Bitmap7();
	this.instance_5.parent = this;
	this.instance_5.setTransform(-56.6,-10.3,1.159,1.159);

	this.instance_6 = new lib.Bitmap9();
	this.instance_6.parent = this;
	this.instance_6.setTransform(-56.6,-10.3,1.159,1.159);

	this.instance_7 = new lib.Bitmap10();
	this.instance_7.parent = this;
	this.instance_7.setTransform(-56.6,-10.3,1.159,1.159);

	this.instance_8 = new lib.Bitmap13();
	this.instance_8.parent = this;
	this.instance_8.setTransform(-56.6,-10.3,1.159,1.159);

	this.instance_9 = new lib.Bitmap15();
	this.instance_9.parent = this;
	this.instance_9.setTransform(-56.6,-10.3,1.159,1.159);

	this.instance_10 = new lib.Bitmap16();
	this.instance_10.parent = this;
	this.instance_10.setTransform(-56.6,-10.3,1.159,1.159);

	this.instance_11 = new lib.Bitmap18();
	this.instance_11.parent = this;
	this.instance_11.setTransform(-56.6,-10.3,1.159,1.159);

	this.instance_12 = new lib.Bitmap21();
	this.instance_12.parent = this;
	this.instance_12.setTransform(-56.6,-10.3,1.159,1.159);

	this.instance_13 = new lib.Bitmap22();
	this.instance_13.parent = this;
	this.instance_13.setTransform(-56.6,-10.3,1.159,1.159);

	this.instance_14 = new lib.Bitmap24();
	this.instance_14.parent = this;
	this.instance_14.setTransform(-56.6,-10.3,1.159,1.159);

	this.instance_15 = new lib.Bitmap27();
	this.instance_15.parent = this;
	this.instance_15.setTransform(-56.6,-10.3,1.159,1.159);

	this.instance_16 = new lib.Bitmap28();
	this.instance_16.parent = this;
	this.instance_16.setTransform(-56.6,-10.3,1.159,1.159);

	this.instance_17 = new lib.Bitmap30();
	this.instance_17.parent = this;
	this.instance_17.setTransform(-56.6,-10.3,1.159,1.159);

	this.instance_18 = new lib.Bitmap31();
	this.instance_18.parent = this;
	this.instance_18.setTransform(-56.6,-10.3,1.159,1.159);

	this.instance_19 = new lib.Bitmap32();
	this.instance_19.parent = this;
	this.instance_19.setTransform(-56.6,-10.3,1.159,1.159);

	this.instance_20 = new lib.Bitmap34();
	this.instance_20.parent = this;
	this.instance_20.setTransform(-56.6,-10.3,1.159,1.159);

	this.instance_21 = new lib.Bitmap35();
	this.instance_21.parent = this;
	this.instance_21.setTransform(-56.6,-10.3,1.159,1.159);

	this.instance_22 = new lib.Bitmap36();
	this.instance_22.parent = this;
	this.instance_22.setTransform(-56.6,-10.3,1.159,1.159);

	this.instance_23 = new lib.Bitmap39();
	this.instance_23.parent = this;
	this.instance_23.setTransform(-56.6,-10.3,1.159,1.159);

	this.instance_24 = new lib.Bitmap40();
	this.instance_24.parent = this;
	this.instance_24.setTransform(-56.6,-10.3,1.159,1.159);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_2}]}).to({state:[{t:this.instance_3}]},1).to({state:[{t:this.instance_4}]},1).to({state:[{t:this.instance_5}]},1).to({state:[{t:this.instance_6}]},1).to({state:[{t:this.instance_7}]},1).to({state:[{t:this.instance_8}]},1).to({state:[{t:this.instance_9}]},1).to({state:[{t:this.instance_10}]},1).to({state:[{t:this.instance_11}]},1).to({state:[{t:this.instance_12}]},1).to({state:[{t:this.instance_13}]},1).to({state:[{t:this.instance_14}]},1).to({state:[{t:this.instance_15}]},1).to({state:[{t:this.instance_16}]},1).to({state:[{t:this.instance_17}]},1).to({state:[{t:this.instance_18}]},1).to({state:[{t:this.instance_19}]},1).to({state:[{t:this.instance_20}]},1).to({state:[{t:this.instance_21}]},1).to({state:[{t:this.instance_22}]},1).to({state:[{t:this.instance_23}]},1).to({state:[{t:this.instance_24}]},1).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(293.4,189.7,811.5,412.7);
// library properties:
lib.properties = {
	width: 700,
	height: 400,
	fps: 12,
	color: "#FFFFFF",
	opacity: 1.00,
	manifest: [
		{src:"images/waterfall_Canvas_atlas_.png?1484041459667", id:"waterfall_Canvas_atlas_"},
		{src:"sounds/waterfall.mp3?1484041459681", id:"waterfall"}
	],
	preloads: []
};




})(lib = lib||{}, images = images||{}, createjs = createjs||{}, ss = ss||{}, AdobeAn = AdobeAn||{});
var lib, images, createjs, ss, AdobeAn;